//+------------------------------------------------------------------+
//| SimpleStressFreeSystem_v01.mq4                                   |
//|                                                                  |
//+------------------------------------------------------------------+

#property copyright ""
#property link      ""

//---- input parameters
extern double  TP_1 = 4.0; //TakeProfit Levels
extern double  TP_2 = 4.0;
extern double  TP_3 = 4.0;
extern double  TP_4 = 4.0;
extern double  TP_5 = 4.0;
extern double  SL_1 = 5.0; //StopLoss Levels
extern double  SL_2 = 5.0;
extern double  SL_3 = 5.0;
extern double  SL_4 = 5.0;
extern double  SL_5 = 5.0;
extern double  Lots = 0.03;
extern bool    Use_Start_Stop_Times = true;
extern string  OrderTime = "01:00"; //hh:mm format
extern string  ExpireTime = "23:00"; //hh:mm format
extern int MagicNum = 123123123;

int start()
{
   double FGap_1, FGap_2, FGap_3, FGap_4, FGap_5, DH_1, DL_1, DO_0;
   int ticket, total, Expire_Time_Int; 
   string Current_Date, Current_Time; 

   FGap_1 = 3.0*Point; //Distances to go from yesterday's high/low for opening the orders (fibo levels?)
   FGap_2 = 5.0*Point;
   FGap_3 = 8.0*Point;
   FGap_4 = 13.0*Point;
   FGap_5 = 21.0*Point;
   
   DH_1 = iHigh(NULL,PERIOD_D1,1); //Yesterday's DailyHigh
   DL_1 = iLow(NULL,PERIOD_D1,1); //Yesterday's DailyLow
   DO_0 = iOpen(NULL,PERIOD_D1,0); //Today's DailyOpen
   
   Current_Date = TimeToStr(CurTime(),TIME_DATE);
   Current_Time = TimeToStr(CurTime(),TIME_MINUTES);
   Expire_Time_Int = 0;
   total = OrdersTotal();
  
   if(total>0) 
      {
         return(0);
      }
   if(DO_0 < DL_1 || DO_0 > DH_1)
      {
         Print("Todays Opening Higher/Lower than Yesterdays High/Low");
         return(0);  
      }
   if(Use_Start_Stop_Times == true)
      {
         Expire_Time_Int = CurTime() + StrToTime(Current_Date + " " + ExpireTime) - StrToTime(Current_Date + " " + OrderTime);
         if(TimeToStr(iTime(NULL,0,0),TIME_MINUTES) != OrderTime)
            {
               return(0);
            }
      }
      ticket=OrderSend(Symbol(),OP_BUYSTOP,Lots,DH_1+FGap_1,3,DH_1+FGap_1-SL_1*Point,DH_1+FGap_1+TP_1*Point,"SSFS_Buy1",MagicNum,Expire_Time_Int,Blue);
      ticket=OrderSend(Symbol(),OP_BUYSTOP,Lots,DH_1+FGap_2,3,DH_1+FGap_2-SL_2*Point,DH_1+FGap_2+TP_2*Point,"SSFS_Buy2",MagicNum,Expire_Time_Int,Blue);
      ticket=OrderSend(Symbol(),OP_BUYSTOP,Lots,DH_1+FGap_3,3,DH_1+FGap_3-SL_3*Point,DH_1+FGap_3+TP_3*Point,"SSFS_Buy3",MagicNum,Expire_Time_Int,Blue);
      ticket=OrderSend(Symbol(),OP_BUYSTOP,Lots,DH_1+FGap_4,3,DH_1+FGap_4-SL_4*Point,DH_1+FGap_4+TP_4*Point,"SSFS_Buy4",MagicNum,Expire_Time_Int,Blue);
      ticket=OrderSend(Symbol(),OP_BUYSTOP,Lots,DH_1+FGap_5,3,DH_1+FGap_5-SL_5*Point,DH_1+FGap_5+TP_5*Point,"SSFS_Buy5",MagicNum,Expire_Time_Int,Blue);
      ticket=OrderSend(Symbol(),OP_SELLSTOP,Lots,DL_1-FGap_1,3,DL_1-FGap_1+SL_1*Point,DL_1-FGap_1-TP_1*Point,"SSFS_Sell1",MagicNum,Expire_Time_Int,Red);
      ticket=OrderSend(Symbol(),OP_SELLSTOP,Lots,DL_1-FGap_2,3,DL_1-FGap_2+SL_2*Point,DL_1-FGap_2-TP_2*Point,"SSFS_Sell2",MagicNum,Expire_Time_Int,Red);
      ticket=OrderSend(Symbol(),OP_SELLSTOP,Lots,DL_1-FGap_3,3,DL_1-FGap_3+SL_3*Point,DL_1-FGap_3-TP_3*Point,"SSFS_Sell3",MagicNum,Expire_Time_Int,Red);
      ticket=OrderSend(Symbol(),OP_SELLSTOP,Lots,DL_1-FGap_4,3,DL_1-FGap_4+SL_4*Point,DL_1-FGap_4-TP_4*Point,"SSFS_Sell4",MagicNum,Expire_Time_Int,Red);
      ticket=OrderSend(Symbol(),OP_SELLSTOP,Lots,DL_1-FGap_5,3,DL_1-FGap_5+SL_5*Point,DL_1-FGap_5-TP_5*Point,"SSFS_Sell5",MagicNum,Expire_Time_Int,Red);
}

